List Contact Method Types
curl --request GET \
--url https://api.virtuoussoftware.com/api/ContactMethod/Types \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.virtuoussoftware.com/api/ContactMethod/Types', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.virtuoussoftware.com/api/ContactMethod/Types"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)using RestSharp;
var options = new RestClientOptions("https://api.virtuoussoftware.com/api/ContactMethod/Types");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("Authorization", "Bearer <token>");
var response = await client.GetAsync(request);
Console.WriteLine("{0}", response.Content);

const url = 'https://api.virtuoussoftware.com/api/ContactMethod/Types';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch(url, options)
.then(res => res.json())
.then(json => console.log(json))
.catch(err => console.error(err));[
"<string>",
"<string>"
]{
"message": "Authorization has been denied for this request."
}{
"message": "You do not have permission to perform this action."
}{
"message": "Rate limit exceeded. Try again later."
}Contacts and Individuals
List Contact Method Types
Returns the contact method types that can be set on an individual, such as Home Email, Work Phone, and Mobile Phone. Configurable via CRM.
GET
/
api
/
ContactMethod
/
Types
List Contact Method Types
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Response
OK
Last modified on August 11, 2026
Was this page helpful?
⌘I